Folks.Query.is_match – folks Reference Manual

# is_match

## Description:

public abstract uint is_match (Individual individual)

Determines whether a given Individual matches this query.

This returns a match strength, which is on an arbitrary scale which is not part of libfolks’ public API. These strengths should not be stored by user applications, or examined numerically — they should only be used for pairwise strength comparisons.

This function is intended to be used in the SearchView implementation only. Use SearchView.individuals to retrieve search results.

## Parameters:

individual | an Individual to match against

## Returns:

a positive integer if the individual matches this query, or zero if they do not match; higher numbers indicate a better match

## Since:

0.11.0